[alpha]
min_value = 0.100000
modifier = <super> 

[animate]
close_animation = fade
duration = 80
enabled_for = (type equals "toplevel" | (type equals "x-or" & focusable equals true))
fade_duration = 20
fade_enabled_for = type equals "overlay"
fire_color = \#B22303FF
fire_duration = 10
fire_enabled_for = none
fire_particle_size = 10.000000
fire_particles = 542
open_animation = zoom
random_fire_color = false
startup_duration = 600
zoom_duration = 100
zoom_enabled_for = none

[annotate]
clear_workspace = <alt> <super> KEY_C
draw = <alt> <super> BTN_LEFT
from_center = true
line_width = 3.000000
method = draw
stroke_color = \#FF0000FF

[autorotate-iio]
lock_rotation = false
rotate_down = <ctrl> <super> KEY_J
rotate_left = <ctrl> <super> KEY_H
rotate_right = <ctrl> <super> KEY_L
rotate_up = <ctrl> <super> KEY_K

[autostart]
autostart_wf_shell = false
bar = waybar
bg = swaybg -i /home/chris/Pictures/wallpapers/tech.jpg -m fill
gamma = wlsunset
notifications = mako
outputs = kanshi
portal = /usr/libexec/xdg-desktop-portal

[background-view]
app-id = mpv
command = mpv --loop=inf
file = 

[bench]
average_frames = 1
frames_per_update = 3
position = top_center

[blur]
blur_by_default = type is "toplevel"
bokeh_degrade = 1
bokeh_iterations = 15
bokeh_offset = 5.000000
box_degrade = 1
box_iterations = 2
box_offset = 1.000000
gaussian_degrade = 3
gaussian_iterations = 2
gaussian_offset = 1.000000
kawase_degrade = 6
kawase_iterations = 4
kawase_offset = 1.500000
method = kawase
saturation = 1.000000
toggle = none

[command]
binding_agenda = <super> KEY_APOSTROPHE
binding_browser = <super> KEY_B
binding_dolphin = <super> <shift> KEY_D
binding_emacs = <super> KEY_E
binding_kanshi = <super> <ctrl> KEY_R
binding_killnotif = <super> <alt> KEY_M
binding_launcher = <super> KEY_SPACE
binding_mute = KEY_MUTE
binding_quit = <super> <shift> KEY_Q
binding_run = <super> KEY_R
binding_screenshot = KEY_PRINT
binding_screenshot_interactive = <super> KEY_PRINT
binding_terminal = <super> KEY_ENTER
binding_pass = <super> KEY_P
command_agenda = emacsclient -e '(chris/org-agenda)'
command_browser = qblof
command_dolphin = dolphin
command_emacs = emacslof
command_kanshi = kanshi
command_pass = wlrofi-rbw
command_killnotif = makoctl dismiss --all
command_launcher = wofi -S drun
command_mute = pactl set-sink-mute @DEFAULT_SINK@ toggle
command_quit = killall wayfire
command_run = rofi -show run -modi run
command_screenshot = grim $(date '+%F_%T').webp
command_screenshot_interactive = slurp | grim -g - $(date '+%F_%T').webp
command_terminal = alacritty
command_volume_down = pactl set-sink-volume @DEFAULT_SINK@ -5%
command_volume_up = pactl set-sink-volume @DEFAULT_SINK@ +5%
repeatable_binding_volume_down = KEY_VOLUMEDOWN
repeatable_binding_volume_up = KEY_VOLUMEUP

[core]
background_color = \#1A1A1AFF
close_top_view = <super> KEY_C
focus_button_with_modifiers = false
focus_buttons = BTN_LEFT | BTN_MIDDLE | BTN_RIGHT
focus_buttons_passthrough = true
max_render_time = -1
plugins = alpha animate autostart command cube expo fast-switcher window-shadows grid idle invert move oswitch place resize switcher vswitch window-rules wobbly zoom blur scale alpha vswipe wm-actions workspace-names winshadows mag scale-title-filter showrepaint swayfire-deco simple-tile
preferred_decoration_mode = server
vheight = 2
vwidth = 2
xwayland = true

[crosshair]
line_color = \#FF0000FF
line_width = 2

[cube]
activate = <alt> <ctrl> BTN_LEFT
background = \#1A1A1AFF
background_mode = simple
cubemap_image = 
deform = 0
initial_animation = 350
light = true
rotate_left = none
rotate_right = none
skydome_mirror = true
skydome_texture = 
speed_spin_horiz = 0.020000
speed_spin_vert = 0.020000
speed_zoom = 0.070000
zoom = 0.100000

[decoration]
active_color = \#222222AA
border_size = 0
button_order = minimize maximize close
font = sans-serif
ignore_views = none
inactive_color = \#333333DD
title_height = 0

[expo]
background = \#1A1A1AFF
duration = 200
inactive_brightness = 0.700000
keyboard_interaction = true
offset = 15
select_workspace_1 = KEY_1
select_workspace_2 = KEY_2
select_workspace_3 = KEY_3
select_workspace_4 = KEY_4
select_workspace_5 = KEY_5
select_workspace_6 = KEY_6
select_workspace_7 = KEY_7
select_workspace_8 = KEY_8
select_workspace_9 = KEY_9
toggle = <ctrl> <super> KEY_D | swipe up 3 | hotspot left-top 100x10 100
transition_length = 200

[extra-gestures]
close_fingers = 20
move_delay = 500
move_fingers = 3

[fast-switcher]
activate = <super> KEY_J
activate_backward = <super> KEY_K

[fisheye]
radius = 450.000000
toggle = <ctrl> <super> KEY_F
zoom = 7.000000

[follow-cursor-bindings]

[follow-focus]
change_output = true
change_view = true
focus_delay = 50
raise_on_top = true
threshold = 10

[force-fullscreen]
constrain_pointer = false
constraint_area = view
key_toggle_fullscreen = <super> KEY_F
preserve_aspect = true
transparent_behind_views = true
x_skew = 0.000000
y_skew = 0.000000

[grid]
duration = 300
restore = <super> KEY_DOWN | <super> KEY_KP0
slot_b = <super> KEY_KP2 | <shift> <super> KEY_J
slot_bl = <super> KEY_KP1
slot_br = <super> KEY_KP3
slot_c = <super> KEY_UP | <super> KEY_KP5
slot_l = <shift> <super> KEY_H
slot_r = <shift> <super> KEY_L
slot_t = <super> KEY_KP8 | <shift> <super> KEY_K
slot_tl = <super> KEY_KP7
slot_tr = <super> KEY_KP9
type = crossfade

[hinge]
filename = /sys/bus/iio/devices/iio:device1/in_angl0_raw
flip_degree = 180
poll_freq = 200

[idle]
cube_max_zoom = 1.500000
cube_rotate_speed = 1.000000
cube_zoom_speed = 1000
disable_on_fullscreen = true
dpms_timeout = -1
screensaver_timeout = 3600
toggle = none

[input]
click_method = default
cursor_size = 48
cursor_theme = breeze
disable_touchpad_while_mouse = false
disable_touchpad_while_typing = true
gesture_sensitivity = 1.000000
kb_capslock_default_state = false
kb_numlock_default_state = false
kb_repeat_delay = 180
kb_repeat_rate = 200
left_handed_mode = false
middle_emulation = false
modifier_binding_timeout = 400
mouse_accel_profile = default
mouse_cursor_speed = 0.000000
mouse_scroll_speed = 1.000000
natural_scroll = true
scroll_method = default
tap_to_click = true
touchpad_accel_profile = default
touchpad_cursor_speed = 0.500000
touchpad_scroll_speed = 2.000000
xkb_layout = us
xkb_model = 
xkb_options = 
xkb_rules = evdev
xkb_variant = 

[input-device]
output = eDP-1

[invert]
preserve_hue = false
toggle = <alt> <super> KEY_I

[join-views]

[keycolor]
color = \#000000FF
opacity = 0.250000
threshold = 0.500000

[mag]
default_height = 500
toggle = <ctrl> <shift> <super> KEY_M
zoom_level = 75

[move]
activate = <super> BTN_LEFT
enable_snap = true
enable_snap_off = true
join_views = false
quarter_snap_threshold = 50
snap_off_threshold = 5
snap_threshold = 10
workspace_switch_after = -1

[oswitch]
next_output = <super> KEY_O
next_output_with_win = <shift> <super> KEY_O

[output]
mode = auto
position = auto
scale = 1.000000
transform = normal

[place]
mode = center

[preserve-output]
last_output_focus_timeout = 10000

[primary-monitor-switch]
external-monitor = HDMI-A-2

[resize]
activate = <super> BTN_RIGHT

[scale]
allow_zoom = true
bg_color = \#282A36FF
duration = 150
inactive_alpha = 0.350000
interact = false
middle_click_close = true
spacing = 40
text_color = \#5AF78EFF
title_font_size = 24
title_overlay = all
title_position = center
toggle = <shift> <super> KEY_W
toggle_all = <super> KEY_W

[scale-title-filter]
bg_color = \#282A36FF
case_sensitive = false
font_size = 30
overlay = true
share_filter = false
text_color = \#5AF78EFF

[showrepaint]
reduce_flicker = true
toggle = <alt> <super> KEY_S

[simple-tile]
animation_duration = 0
button_move = <super> BTN_LEFT
button_resize = <super> BTN_RIGHT
inner_gap_size = 8
keep_fullscreen_on_adjacent = true
key_focus_above = <super> KEY_K
key_focus_below = <super> KEY_J
key_focus_left = <super> KEY_H
key_focus_right = <super> KEY_L
key_toggle = <shift> <super> KEY_T
outer_horiz_gap_size = 20
outer_vert_gap_size = 20
tile_by_default = (app_id is "emacs" | app_id is "firefox")

[swayfire]
button_move_activate = <super> BTN_LEFT
button_resize_activate = <super> BTN_RIGHT
focus_down = <super> KEY_J
focus_left = <super> KEY_H
focus_right = <super> KEY_L
focus_up = <super> KEY_K
move_down = <shift> <super> KEY_J
move_left = <shift> <super> KEY_H
move_right = <shift> <super> KEY_L
move_up = <shift> <super> KEY_K
set_stacked = <super> KEY_S
set_tabbed = <super> KEY_T
set_want_hsplit = <super> KEY_B
set_want_vsplit = <super> KEY_V
toggle_focus_tile = <super> KEY_SPACE
toggle_split_direction = <super> KEY_E
toggle_tile = <shift> <super> KEY_SPACE

[swayfire-deco]
border_radius = 35
border_width = 2
focused.background = \#295478FF
focused.border = \#295478FF
focused.child_border = \#295478FF
focused.indicator = \#2E9EF5FF
focused.text = \#FFFFFFFF
focused_inactive.background = \#5E666BFF
focused_inactive.border = \#333333FF
focused_inactive.child_border = \#5E666BFF
focused_inactive.indicator = \#474F4FFF
focused_inactive.text = \#FFFFFFFF
title_bar = false
title_font = VictorMono Nerd Font
unfocused.background = \#212121FF
unfocused.border = \#212121FF
unfocused.child_border = \#212121FF
unfocused.indicator = \#292E2EFF
unfocused.text = \#878787FF

[switcher]
next_view = <super> KEY_TAB
prev_view = <ctrl> <super> KEY_TAB
speed = 200
view_thumbnail_scale = 1.000000

[view-shot]
capture = <alt> <super> BTN_MIDDLE
filename = /tmp/snapshot.png

[vswipe]
background = \#1A1A1AFF
delta_threshold = 24.000000
duration = 180
enable_free_movement = true
enable_horizontal = true
enable_smooth_transition = true
enable_vertical = true
fingers = 4
gap = 32.000000
speed_cap = 0.050000
speed_factor = 256.000000
threshold = 0.350000

[vswitch]
background = \#1A1A1AFF
binding_down = <alt> <super> KEY_J
binding_left = <alt> <super> KEY_H
binding_right = <alt> <super> KEY_L
binding_up = <alt> <super> KEY_K
binding_win_down = <shift> <super> KEY_J
binding_win_left = <shift> <super> KEY_H
binding_win_right = <shift> <super> KEY_L
binding_win_up = <shift> <super> KEY_K
duration = 200
gap = 20
send_win_down = 
send_win_left = 
send_win_right = 
send_win_up = 
with_win_down = <alt> <shift> <super> KEY_J
with_win_left = <alt> <shift> <super> KEY_H
with_win_right = <alt> <shift> <super> KEY_L
with_win_up = <alt> <shift> <super> KEY_K
wraparound = false

[water]
activate = <ctrl> <super> BTN_LEFT

[window-rules]
rule_1 = on created if app_id is "emacs" then set alpha 0.8
rule_2 = on created if app_id is "dolphin" then float
rule_3 = on created if app_id is "emacs" then tile

[winshadows]
clip_shadow_inside = true
enabled_views = all
include_undecorated_views = true
shadow_color = \#000000FF
shadow_radius = 30

[winzoom]
dec_x_binding = <ctrl> <super> KEY_LEFT
dec_y_binding = <ctrl> <super> KEY_UP
inc_x_binding = <ctrl> <super> KEY_RIGHT
inc_y_binding = <ctrl> <super> KEY_DOWN
modifier = <ctrl> <super> 
nearest_filtering = false
preserve_aspect = true
zoom_step = 0.100000

[wm-actions]
minimize = <super> KEY_N
send_to_back = none
toggle_always_on_top = <super> KEY_T
toggle_fullscreen = <super> KEY_F
toggle_maximize = <super> KEY_M
toggle_showdesktop = <super> KEY_D
toggle_sticky = <super> KEY_0

[wobbly]
friction = 6.000000
grid_resolution = 20
spring_k = 500.000000

[workarounds]
all_dialogs_modal = true
app_id_mode = stock
dynamic_repaint_delay = false
use_external_output_configuration = false

[workspace-names]
background_color = \#333333B3
display_duration = 300
font = VictorMono Nerd Font
position = center
show_option_names = false
text_color = \#FFFFFFFF

[wrot]
activate = <ctrl> <super> BTN_RIGHT
activate-3d = <shift> <super> BTN_RIGHT
invert = false
reset = <ctrl> <super> KEY_R
reset-one = <super> KEY_R
reset_radius = 25.000000
sensitivity = 24

[zoom]
interpolation_method = 0
modifier = <shift> <super> 
smoothing_duration = 300
speed = 0.010000

